Bug 612485 - mock drops version from versioned build requires
mock drops version from versioned build requires
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 06:59 EDT by Mattias Ellert
Modified: 2013-01-10 01:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2010-07-08 06:59:25 EDT
Description of problem:

When trying to build voms in koji:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2303570

I see the following problem.

For ppc, ppc64 and x86_64 the BuildRequires are properly handled propagated to the yum --installroot command

ppc:

DEBUG backend.py:605:  /usr/bin/yum --installroot /var/lib/mock/dist-f12-build-827922-121561/root/  resolvedep  'doxygen' 'tex(latex)' 'globus-gss-assist-devel(ppc-32)' 'globus-gssapi-gsi-devel(ppc-32)' 'expat-devel' 'pkgconfig' 'openssl-devel(ppc-32)' 'jakarta-commons-cli' 'jpackage-utils' 'libtool' 'java-gcj-compat-devel' 'docbook-style-xsl' 'bouncycastle >= 1.39' 'libxslt' 'jakarta-commons-lang' 'log4j' 'java-devel >= 1:1.6.0'

ppc64:

DEBUG backend.py:605:  /usr/bin/yum --installroot /var/lib/mock/dist-f12-build-827924-121561/root/  resolvedep  'openssl-devel(ppc-64)' 'doxygen' 'java-devel >= 1:1.6.0' 'tex(latex)' 'expat-devel' 'pkgconfig' 'java-gcj-compat-devel' 'jakarta-commons-cli' 'jpackage-utils' 'globus-gss-assist-devel(ppc-64)' 'libtool' 'globus-gssapi-gsi-devel(ppc-64)' 'docbook-style-xsl' 'bouncycastle >= 1.39' 'libxslt' 'jakarta-commons-lang' 'log4j'

x86_64:

DEBUG backend.py:605:  /usr/bin/yum --installroot /var/lib/mock/dist-f12-build-827923-121561/root/  resolvedep  'doxygen' 'java-devel >= 1:1.6.0' 'tex(latex)' 'expat-devel' 'globus-gssapi-gsi-devel(x86-64)' 'pkgconfig' 'java-gcj-compat-devel' 'jakarta-commons-cli' 'globus-gss-assist-devel(x86-64)' 'bouncycastle >= 1.39' 'libtool' 'docbook-style-xsl' 'jpackage-utils' 'libxslt' 'jakarta-commons-lang' 'log4j' 'openssl-devel(x86-64)'

However, on i686 the versions are dropped from the versioned BuildRequires:

DEBUG backend.py:603:  /usr/bin/yum --installroot /var/lib/mock/dist-f12-build-827925-121561/root/  resolvedep  'openssl-devel(x86-32)' 'bouncycastle' 'tex(latex)' 'expat-devel' 'jakarta-commons-cli' 'java-gcj-compat-devel' 'pkgconfig' 'jpackage-utils' 'java-devel' 'doxygen' 'libtool' 'docbook-style-xsl' 'jakarta-commons-lang' 'libxslt' 'globus-gssapi-gsi-devel(x86-32)' 'log4j' 'globus-gss-assist-devel(x86-32)'

Since the version on the java-devel BuildRequires is dropped, only the gcj java devel, and not the openjdk java devel gets installed on this architecture. And the build fails.

Version-Release number of selected component (if applicable):
I see this problem on both F-12 and F-13 builds in koji.

How reproducible:
I tried resubmitting the F-12 build and it failed again in the same way.
Comment 1 Mattias Ellert 2010-07-08 11:04:44 EDT
Looking more closely, it is not always the i686 build that fails. In some cases the i686 build is OK, and it is the x86_64 build that has dropped the version from the versioned BuildRequires. After repeatedly resubmitting the builds I finally got them through. Here are the collected statistics of good and bad build hosts - the number of attempts on each host in parentheses:

good:

xb-01 (2)
x86-02 (2)
x86-03 (2)
x86-04 (1)
x86-05 (1)
x86-06 (1)
x86-07 (4)

bad:

x86-09 (3)
x86-10 (3)
x86-13 (2)
x86-15 (1)
x86-17 (3)
x86-18 (1)
Comment 2 Clark Williams 2010-07-16 09:43:27 EDT
I was unable to reproduce this running mock locally on an x86_64 F13 system. We may need to see what version of mock the koji builders are running.
Comment 3 Bug Zapper 2010-11-03 08:18:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:25:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.